﻿@using NacGroup.Infrastructure.Shared
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using NacGroup.Module.Order.Models.Schema
@model Newtonsoft.Json.Linq.JObject
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var orderInfomation = Model["OrderModel"].ToObject<Order>();
}

<table width="100%" height="100%" bgcolor="#E4E6E9" cellspacing="0" cellpadding="0" border="0"
       style="font-family: Arial, Helvetica, sans-serif">
    <tbody>
        <tr>
            <td>
                <table width="700" cellspacing="0" cellpadding="0" border="0" align="center">
                    <tbody>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td>
                                                @*<img height="64" src="@(Model["WebsiteUrl"])@(Model["Logo"])" class="CToWUd" />*@
                                                @Model["WebsiteName"]
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#d9edf7" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td style="color:#31708f;font-size:14px">
                                                <b>Order Summary</b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td width="65%">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="3"
                                                       border="0" style="font-size:13px">
                                                    <thead>
                                                        <tr>
                                                            <th align="left" style="border-bottom:1px dotted #ddd">
                                                                ITEM
                                                            </th>
                                                            <th style="border-bottom:1px dotted #ddd">
                                                                QUANTITY
                                                            </th>
                                                            <th style="border-bottom:1px dotted #ddd">
                                                                PRICE
                                                            </th>
                                                            <th style="border-bottom:1px dotted #ddd">
                                                                TOTAL
                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody align="center">
                                                        @foreach (var item in orderInfomation.OrderItems)
                                                        {
                                                            <tr>
                                                                <td align="left">
                                                                    #@(item.SkuId) - @(item.Name)
                                                                    @foreach (var modi in item.ModifierItems)
                                                                    {
                                                                    <br /> @(modi.Name)
                                                                    }
                                                                </td>
                                                                <td>
                                                                    @(item.Quantity)
                                                                </td>
                                                                <td>
                                                                    @(item.Price.ToCurrency((int)globalConfig.Currency))
                                                                </td>
                                                                <td>
                                                                    <b>@((item.Price * item.Quantity).ToCurrency((int)globalConfig.Currency))</b>
                                                                </td>
                                                            </tr>
                                                        }
                                                        <tr>
                                                            <td colspan="4">
                                                                Request Pick-up Time:
                                                                <b>@orderInfomation.OrderGPosInformation.OrderDateTime.ToString(globalConfig.GlobalWebSetting["WebsiteConfig"]["DateTimeCShapeFormat"].ToString())</b>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                            <td width="35%">
                                                <table bgcolor="#ebe2df" width="100%" cellspacing="0" cellpadding="10"
                                                       border="0">
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                <table width="100%" cellspacing="0" cellpadding="5"
                                                                       border="0">
                                                                    <tbody>
                                                                        <tr>
                                                                            <td colspan="2" style="font-size:14px">
                                                                                Order Total
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td colspan="2" style="font-size:14px">
                                                                                <b>@orderInfomation.TotalAmount.ToCurrency((int)globalConfig.Currency)</b>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td colspan="2" style="font-size:14px">
                                                                                Order number:
                                                                                <b>@orderInfomation.OrderGPosInformation.OrderPosNumber</b>
                                                                            </td>
                                                                        </tr>

                                                                        <tr>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                Subtotal
                                                                            </td>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                @orderInfomation.SubTotalAmount.ToCurrency((int)globalConfig.Currency)
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                Discount
                                                                            </td>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                @orderInfomation.DiscountAmount.ToCurrency((int)globalConfig.Currency)
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                Taxes
                                                                            </td>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                @orderInfomation.TotalTax.ToCurrency((int)globalConfig.Currency)
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                Tips
                                                                            </td>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                @orderInfomation.Tips.ToCurrency((int)globalConfig.Currency)
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                Total
                                                                            </td>
                                                                            <td style="font-size:14px;border-top:1px dotted #333">
                                                                                @orderInfomation.TotalAmount.ToCurrency((int)globalConfig.Currency)
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#d9edf7" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td style="color:#31708f;font-size:14px">
                                                <b>Billing Information</b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td width="65%">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="3"
                                                       border="0" style="font-size:13px">
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                @orderInfomation.FirstName @orderInfomation.LastName
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @orderInfomation.CustomerPhone.ToPhoneFormat()
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @orderInfomation.CustomerEmail
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                            <td width="35%">
                                                <table bgcolor="#ebe2df" width="100%" cellspacing="0" cellpadding="10"
                                                       border="0">
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                <table width="100%" cellspacing="0" cellpadding="5"
                                                                       border="0">
                                                                    <tbody>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Payment Method
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Payment Type:
                                                                                <b>
                                                                                    <span class="il">Credit Card</span>
                                                                                </b>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Amount Paid:
                                                                                <b>@orderInfomation.TotalAmount.ToCurrency((int)globalConfig.Currency)</b>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td style="border-top:1px dotted #ddd">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="5"
                                                       border="0">
                                                    <tbody>
                                                        <tr>
                                                            <td colspan="2" align="center" style="font-size:9px">
                                                                ORDER TERMS &amp; CONDITIONS:<br />
                                                                <span style="color:#ff0000">
                                                                    All online food orders are prepaid prior to pick-up
                                                                    and the payment is a subject of non-refundable once
                                                                    the order is confirmed.
                                                                </span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="2" align="center" style="font-size:9px">
                                                                Thank you for your business!<br />
                                                                Copyright © 2019 @Model["WebsiteName"]. All Rights
                                                                Reserved.
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>